Freeciv-3.1: fc_shortcuts_dialog Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Private Slots | Private Member Functions | Private Attributes
fc_shortcuts_dialog Class Reference

`#include <shortcuts.h>`

Inheritance diagram for fc_shortcuts_dialog:

## Public Member Functions

| fc_shortcuts_dialog (QWidget *parent=0)
virtual | ~fc_shortcuts_dialog ()

## Private Slots

void | apply_option (int response)
void | edit_shortcut ()

## Private Member Functions

void | add_option (fc_shortcut *sc)
void | init ()
void | refresh ()

## Private Attributes

QVBoxLayout * | main_layout
QVBoxLayout * | scroll_layout
QDialogButtonBox * | button_box
QMap< shortcut_id, fc_shortcut * > * | hashcopy

## Detailed Description

Definition at line 189 of file shortcuts.h.

## Constructor & Destructor Documentation

## ◆ fc_shortcuts_dialog()

fc_shortcuts_dialog::fc_shortcuts_dialog | ( | QWidget * | parent = `0` | ) |

Contructor for shortcut dialog

Definition at line 578 of file shortcuts.cpp.

## ◆ ~fc_shortcuts_dialog()

fc_shortcuts_dialog::~fc_shortcuts_dialog | ( |  | ) |

virtual

Destructor for shortcut dialog

Definition at line 589 of file shortcuts.cpp.

## Member Function Documentation

## ◆ add_option()

void fc_shortcuts_dialog::add_option | ( | fc_shortcut * | sc | ) |

private

Adds shortcut option for dialog

Definition at line 669 of file shortcuts.cpp.

Referenced by init().

## ◆ apply_option

void fc_shortcuts_dialog::apply_option | ( | int | response | ) |

privateslot

Slot for buttons on bottom of shortcut dialog

Definition at line 725 of file shortcuts.cpp.

Referenced by init().

## ◆ edit_shortcut

void fc_shortcuts_dialog::edit_shortcut | ( |  | ) |

privateslot

Slot for editing shortcut

Definition at line 690 of file shortcuts.cpp.

Referenced by add_option().

## ◆ init()

void fc_shortcuts_dialog::init | ( |  | ) |

private

Inits shortcut dialog layout

Definition at line 596 of file shortcuts.cpp.

Referenced by fc_shortcuts_dialog(), and refresh().

## ◆ refresh()

void fc_shortcuts_dialog::refresh | ( |  | ) |

private

Reinitializes layout

Definition at line 701 of file shortcuts.cpp.

Referenced by apply_option().

## Field Documentation

## ◆ button_box

QDialogButtonBox* fc_shortcuts_dialog::button_box

private

Definition at line 194 of file shortcuts.h.

Referenced by init().

## ◆ hashcopy

QMap<shortcut_id, fc_shortcut*>* fc_shortcuts_dialog::hashcopy

private

Definition at line 195 of file shortcuts.h.

Referenced by apply_option(), and fc_shortcuts_dialog().

## ◆ main_layout

QVBoxLayout* fc_shortcuts_dialog::main_layout

private

Definition at line 192 of file shortcuts.h.

Referenced by init(), and refresh().

## ◆ scroll_layout

QVBoxLayout* fc_shortcuts_dialog::scroll_layout

private

Definition at line 193 of file shortcuts.h.

Referenced by add_option(), and init().